> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hedera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contract results from all contracts on the network

> Returns a list of all ContractResults for all contract's function executions.



## OpenAPI

````yaml /openapi.yaml get /api/v1/contracts/results
openapi: 3.0.3
info:
  title: Mirror Node REST API
  version: 0.154.0
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: >-
    The REST API offers the ability to query transactions and entity information
    from a mirror node.


    Base url: [/api/v1](/api/v1)


    OpenAPI Spec: [/api/v1/docs/openapi.yml](/api/v1/docs/openapi.yml)
  contact:
    name: Mirror Node Team
    email: mirrornode@hedera.com
    url: https://github.com/hiero-ledger/hiero-mirror-node
servers:
  - description: Hedera Mainnet Mirror Node
    url: https://mainnet.mirrornode.hedera.com
  - description: The production REST API servers
    url: '{scheme}://{network}.mirrornode.hedera.com'
    variables:
      scheme:
        default: https
        description: The URI scheme
        enum:
          - http
          - https
      network:
        default: testnet
        description: The Hedera network in use
        enum:
          - mainnet-public
          - mainnet
          - previewnet
          - testnet
security: []
tags:
  - name: accounts
    description: >-
      The accounts object represents the information associated with an account
      entity and returns a list of account information.The accounts list
      endpoint is cached and not updated as frequently as the account lookup by
      a specific ID endpoint.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#accounts
  - name: balances
    description: >-
      The balance object represents the balance of accounts on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#balances
  - name: contracts
    description: >-
      The contracts objects represents the information associated with contract
      entities.The contracts list endpoint is cached and not updated as
      frequently as the contract lookup by a specific ID endpoint.
  - name: schedules
    description: >-
      The schedules object represents the information associated with a schedule
      entity.The schedules list endpoints is cached and not updated as
      frequently as the schedule lookup by a specific ID endpoint.
  - name: transactions
    description: >-
      The transaction object represents the transactions processed on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#transactions
  - name: topics
    description: >-
      The topics object represents the information associated with a topic
      entity and returns topic messages information.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#topic-messages
  - name: tokens
    description: >-
      The tokens object represents the information associated with a token
      entity and returns a list of token information.The tokens list endpoint is
      cached and not updated as frequently as the token lookup by a specific ID.
externalDocs:
  description: REST API Docs
  url: https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api
paths:
  /api/v1/contracts/results:
    get:
      tags:
        - contracts
      summary: List contract results from all contracts on the network
      description: >-
        Returns a list of all ContractResults for all contract's function
        executions.
      operationId: getContractsResults
      parameters:
        - $ref: '#/components/parameters/fromQueryParam'
        - $ref: '#/components/parameters/blockHashQueryParam'
        - $ref: '#/components/parameters/contractsBlockNumberQueryParam'
        - $ref: '#/components/parameters/hbarQueryParam'
        - $ref: '#/components/parameters/internalQueryParam'
        - $ref: '#/components/parameters/limitQueryParam'
        - $ref: '#/components/parameters/orderQueryParamDesc'
        - $ref: '#/components/parameters/timestampQueryParam'
        - $ref: '#/components/parameters/transactionIndexQueryParam'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractResultsResponse'
        '400':
          $ref: '#/components/responses/InvalidParameterError'
components:
  parameters:
    fromQueryParam:
      name: from
      in: query
      description: Account ID or EVM address executing the contract
      schema:
        pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}|(0x)?[A-Fa-f0-9]{40}$
        type: string
    blockHashQueryParam:
      name: block.hash
      in: query
      description: >-
        The block's hash. If multiple values are provided the last value will be
        the only value used.
      examples:
        noValue:
          summary: '--'
          value: ''
        32ByteNoOperator:
          summary: Example of 32 byte block.hash equals with no operator
          value: ddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef
        48ByteNoOperator:
          summary: Example of 48 byte block.hash equals with no operator
          value: >-
            1eaf1abbd64bbcac7f473f0272671c66d3d1d64f584112b11cd4d2063e736305312fcb305804a48baa41571e71c39c61
        32ByteEqOperator:
          summary: Example of 32 byte block.hash with equals operator
          value: eq:ddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef
        48ByteEqOperator:
          summary: Example of 48 byte block.hash with equals operator
          value: >-
            eq:1eaf1abbd64bbcac7f473f0272671c66d3d1d64f584112b11cd4d2063e736305312fcb305804a48baa41571e71c39c61
        32Byte0xPrefixNoOperator:
          summary: Example of 32 byte block.hash equals with 0x prefix and no operator
          value: '0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef'
        48Byte0xPrefixNoOperator:
          summary: Example of 48 byte block.hash equals with 0x prefix and no operator
          value: >-
            0x1eaf1abbd64bbcac7f473f0272671c66d3d1d64f584112b11cd4d2063e736305312fcb305804a48baa41571e71c39c61
        32Byte0xPrefixEqOperator:
          summary: Example of 32 byte block.hash with 0x prefix and equals operator
          value: >-
            eq:0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef
        48Byte0xPrefixEqOperator:
          summary: Example of 48 byte block.hash with 0x prefix and equals operator
          value: >-
            eq:0x1eaf1abbd64bbcac7f473f0272671c66d3d1d64f584112b11cd4d2063e736305312fcb305804a48baa41571e71c39c61
      schema:
        type: string
        pattern: ^(eq:)?(0x)?([0-9A-Fa-f]{64}|[0-9A-Fa-f]{96})$
    contractsBlockNumberQueryParam:
      name: block.number
      in: query
      description: The block's number
      examples:
        noValue:
          summary: '--'
          value: ''
        noOperator:
          summary: Example of block.number equals with no operator
          value: 1
        eqOperator:
          summary: Example of block.number equals operator
          value: eq:2
        hexEncoded:
          summary: Example of hex encoded block.number equals with no operator
          value: '0xa0'
        hexEncodedEqOperator:
          summary: Example of hex encoded block.number equals with equals operator
          value: eq:0xa0
      schema:
        type: string
        pattern: ^(eq:)?(\d{1,19}|0x[a-fA-f0-9]+)$
    hbarQueryParam:
      name: hbar
      in: query
      description: >-
        Controls the unit used for monetary fields (`amount`, `gas_price`,
        `max_fee_per_gas`, `max_priority_fee_per_gas`). When `true` (default),
        values are returned in tinybars. When `false`, values are returned in
        weibars (the native Ethereum unit, where 1 tinybar = 10,000,000,000
        weibars).
      example: false
      schema:
        type: boolean
        default: true
    internalQueryParam:
      name: internal
      in: query
      description: Whether to include child transactions or not
      example: true
      schema:
        type: boolean
        default: false
    limitQueryParam:
      name: limit
      in: query
      description: The maximum number of items to return
      example: 2
      schema:
        format: int32
        type: integer
        default: 25
        minimum: 1
        maximum: 100
    orderQueryParamDesc:
      name: order
      in: query
      description: The order in which items are listed
      example: asc
      schema:
        enum:
          - asc
          - desc
        default: desc
    timestampQueryParam:
      description: >-
        The consensus timestamp as a Unix timestamp in seconds.nanoseconds
        format with an optional comparison operator. See
        [unixtimestamp.com](https://www.unixtimestamp.com/) for a simple way to
        convert a date to the 'seconds' part of the Unix time.
      name: timestamp
      in: query
      explode: true
      examples:
        noValue:
          summary: '--'
          value: ''
        secondsNoOperator:
          summary: Example of seconds equals with no operator
          value: 1234567890
        timestampNoOperator:
          summary: Example of timestamp equals with no operator
          value: 1234567890
        secondsEqOperator:
          summary: Example of seconds equals with operator
          value: eq:1234567890
        timestampEqOperator:
          summary: Example of timestamp equals with operator
          value: eq:1234567890.000000200
        secondsNeOperator:
          summary: Example of seconds not equals operator
          value: ne:1234567890
        timestampNeOperator:
          summary: Example of timestamp not equals operator
          value: ne:1234567890.000000300
        secondsGtOperator:
          summary: Example of seconds greater than operator
          value: gt:1234567890
        timestampGtOperator:
          summary: Example of timestamp greater than operator
          value: gt:1234567890.000000400
        secondsGteOperator:
          summary: Example of seconds greater than or equals operator
          value: gte:1234567890
        timestampGteOperator:
          summary: Example of timestamp greater than or equals operator
          value: gte:1234567890.000000500
        secondsLtOperator:
          summary: Example of seconds less than operator
          value: lt:1234567890
        timestampLtOperator:
          summary: Example of timestamp less than operator
          value: lt:1234567890.000000600
        secondsLteOperator:
          summary: Example of seconds less than or equals operator
          value: lte:1234567890
        timestampLteOperator:
          summary: Example of timestamp less than or equals operator
          value: lte:1234567890.000000700
      schema:
        type: array
        items:
          type: string
          pattern: ^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(\.\d{1,9})?$
    transactionIndexQueryParam:
      name: transaction.index
      in: query
      description: The transaction index in the block
      example: 1
      schema:
        format: int32
        type: integer
        minimum: 0
  schemas:
    ContractResultsResponse:
      type: object
      properties:
        results:
          $ref: '#/components/schemas/ContractResults'
        links:
          $ref: '#/components/schemas/Links'
    ContractResults:
      type: array
      items:
        $ref: '#/components/schemas/ContractResult'
    Links:
      type: object
      properties:
        next:
          example: null
          nullable: true
          type: string
    Error:
      type: object
      properties:
        _status:
          type: object
          properties:
            messages:
              type: array
              items:
                type: object
                properties:
                  data:
                    description: Error message in hexadecimal
                    example: '0x3000'
                    format: binary
                    nullable: true
                    pattern: ^0x[0-9a-fA-F]+$
                    type: string
                  detail:
                    description: Detailed error message
                    example: Generic detailed error message
                    nullable: true
                    type: string
                  message:
                    description: Error message
                    example: Generic error message
                    nullable: false
                    type: string
    ContractResult:
      type: object
      properties:
        access_list:
          description: The hex encoded access_list of the wrapped ethereum transaction
          nullable: true
          type: string
          example: '0xabcd'
        address:
          description: The hex encoded evm address of contract
          example: '0x25fe26adc577cc89172e6156c9e24f7b9751b762'
          type: string
        amount:
          description: >-
            The amount sent to the function. When `hbar=true` (default), the
            value is in tinybars. When `hbar=false`, the value is in weibars.
          example: 10
          format: int64
          nullable: true
          type: integer
        block_gas_used:
          description: The total amount of gas used in the block
          example: 2000
          format: int64
          nullable: true
          type: integer
        block_hash:
          description: The hex encoded block (record file chain) hash
          example: '0x6ceecd8bb224da491'
          nullable: true
          type: string
        block_number:
          description: >-
            The block height calculated as the number of record files starting
            from zero since network start.
          example: 10
          format: int64
          nullable: true
          type: integer
        bloom:
          allOf:
            - $ref: '#/components/schemas/Bloom'
            - description: The hex encoded bloom filter of the contract result
        call_result:
          description: The hex encoded result returned by the function
          example: '0x2b048531b38d2882e86044bc972e940ee0a01938'
          nullable: true
          type: string
        chain_id:
          description: The hex encoded chain_id of the wrapped ethereum transaction
          nullable: true
          type: string
          example: '0x0127'
        contract_id:
          $ref: '#/components/schemas/EntityId'
        created_contract_ids:
          description: The list of smart contracts that were created by the function call.
          items:
            $ref: '#/components/schemas/EntityId'
          nullable: true
          type: array
        error_message:
          description: The message when an error occurs during smart contract execution
          example: Out of gas
          nullable: true
          type: string
        failed_initcode:
          description: The hex encoded initcode of a failed contract create transaction
          example: '0x856739'
          type: string
        from:
          $ref: '#/components/schemas/EvmAddressNullable'
        function_parameters:
          description: The hex encoded parameters passed to the function
          example: '0xbb9f02dc6f0e3289f57a1f33b71c73aa8548ab8b'
          nullable: true
          type: string
        gas_consumed:
          description: The units of consumed gas by the EVM to execute contract
          example: 35000
          format: int64
          nullable: true
          type: integer
        gas_limit:
          description: The maximum units of gas allowed for contract execution
          example: 100000
          format: int64
          type: integer
        gas_price:
          description: >-
            The hex encoded gas_price of the wrapped ethereum transaction. When
            `hbar=true` (default), the value is converted to tinybars. When
            `hbar=false`, the value is in weibars.
          nullable: true
          type: string
          example: '0x4a817c800'
        gas_used:
          description: The units of gas used to execute contract
          example: 80000
          format: int64
          nullable: true
          type: integer
        hash:
          description: >-
            A hex encoded 32 byte hash and it is only populated for Ethereum
            transaction case
          example: '0xfebbaa29c513d124a6377246ea3506ad917d740c21a88f61a1c55ba338fc2bb1'
          type: string
        max_fee_per_gas:
          description: >-
            The hex encoded max_fee_per_gas of the wrapped ethereum transaction.
            When `hbar=true` (default), the value is converted to tinybars. When
            `hbar=false`, the value is in weibars.
          nullable: true
          type: string
          example: '0x5'
        max_priority_fee_per_gas:
          description: >-
            The hex encoded max_priority_fee_per_gas of the wrapped ethereum
            transaction. When `hbar=true` (default), the value is converted to
            tinybars. When `hbar=false`, the value is in weibars.
          nullable: true
          type: string
          example: '0x100'
        nonce:
          description: The nonce of the wrapped ethereum transaction
          nullable: true
          format: int64
          type: integer
          example: 1
        r:
          description: The hex encoded signature_r of the wrapped ethereum transaction
          nullable: true
          type: string
          example: '0xd693b532a80fed6392b428604171fb32fdbf953728a3a7ecc7d4062b1652c043'
        result:
          description: The result of the transaction
          example: SUCCESS
          type: string
        s:
          description: The hex encoded signature_s of the wrapped ethereum transaction
          nullable: true
          type: string
          example: '0x24e9c602ac800b983b035700a14b23f78a253ab762deab5dc27e3555a750b355'
        status:
          description: >-
            The status of the transaction, 0x1 for a SUCCESS transaction and 0x0
            for all else
          example: 1
          type: string
        timestamp:
          $ref: '#/components/schemas/Timestamp'
        to:
          $ref: '#/components/schemas/EvmAddressNullable'
        transaction_index:
          description: The position of the transaction in the block
          nullable: true
          format: int64
          type: integer
          example: 1
        type:
          description: >-
            The type of the wrapped ethereum transaction, 0 (Pre-Eip1559) or 2
            (Post-Eip1559)
          nullable: true
          type: integer
          example: 2
        v:
          description: The recovery_id of the wrapped ethereum transaction
          nullable: true
          type: integer
          example: 1
    Bloom:
      example: '0x549358c4c2e573e02410ef7b5a5ffa5f36dd7398'
      format: binary
      nullable: true
      type: string
    EntityId:
      type: string
      description: Network entity ID in the format of `shard.realm.num`
      pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
      example: 0.0.2
      nullable: true
    EvmAddressNullable:
      type: string
      description: A network entity encoded as an EVM address in hex.
      format: binary
      minLength: 40
      maxLength: 42
      nullable: true
      pattern: ^(0x)?[A-Fa-f0-9]{40}$
      example: '0x0000000000000000000000000000000000001f41'
    Timestamp:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
  responses:
    InvalidParameterError:
      description: Invalid parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: 'Invalid parameter: account.id'
                - message: >-
                    Invalid Transaction id. Please use \shard.realm.num-sss-nnn\
                    format where sss are seconds and nnn are nanoseconds

````